Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libgtkhtml3
Version:	3.29.92.1
Release:	1
BuildArch:	i686
License:	GNU/LGPL GNU/GPL
Group:		System/Libraries
Summary:	gtkhtml library
Source:		gtkhtml-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/gtkhtml-%{version}-root

# Remove gnome-common macros from configure.in.
# We do not ship gnome-common (or at least we're not supposed to).
#Patch1:	gtkhtml-3.13.1-no-gnome-common.patch

%define gtkhtml_major 3.28

# Use stricter build settings than required by upstream.
%define strict_build_settings 1


### Dependencies ###
Requires:	gnome-icon-theme

#Manual build dependencies
BuildRequires: gnome-icon-theme
BuildRequires: libsoup-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: enchant-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: xcb-util
BuildRequires: zlib-devel iso-codes-devel gnome-doc-utils

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%package	devel
Group:		Development/Libraries
Summary:	Libraries, includes, etc to develop gtkhtml applications
Requires:	%{name} = %{version}-%{release}
Requires:	libglade-devel >= 2.0
Requires:	libgnomeui-devel >= 2.0

%description	devel
Libraries and include files that can be used to develop GtkHTML applications.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n gtkhtml-%{version}
#%patch1 -p1 -b .no-gnome-common

%build
%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
        -DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DGNOME_DISABLE_DEPRECATED=1 \
	-Werror-implicit-function-declaration"
%endif

# Rerun the GNU "autotools" since we patched configure.in.
#autoreconf --force --install

%configure
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool CFLAGS="$CFLAGS $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gtkhtml-editor-test
%{_libdir}/libgtkhtml-3.14.so.*
%{_libdir}/libgtkhtml-editor.so.*
%{_datadir}/gtkhtml-3.14
%{_locale}/*/LC_MESSAGES/gtkhtml-3.14.mo

%files devel
%defattr(-,root,root)
%{_includedir}/libgtkhtml-3.14
%{_libdir}/libgtkhtml-3.14.a
%{_libdir}/libgtkhtml-3.14.la
%{_libdir}/libgtkhtml-3.14.so
%{_libdir}/libgtkhtml-editor.a
%{_libdir}/libgtkhtml-editor.la
%{_libdir}/libgtkhtml-editor.so
%{_pkgconfig}/gtkhtml-editor.pc
%{_pkgconfig}/libgtkhtml-3.14.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.29.92.1-1
- version update
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 3.28.1-1
- Version update
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 3.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 3.24.2-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 3.18.0-1
- Version update
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 3.17.2-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 3.16.0-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 3.14.0-1
- Initial release
